%define device_mapper_version 1.02.44

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	logical volume management tools
Name:      	lvm2
Version:  	2.02.61
Release:   	1
BuildArch:	i686
Provides:	lvm2
License: 	GNU/GPL
URL:		http://sources.redhat.com/lvm2/
Group:     	System/Configuration/Hardware
Source0: 	LVM2.%{version}.tgz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: ncurses-devel
BuildRequires: readline-devel

%description
LVM2 includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadd(8) or even loop devices, see
losetup(8)), creating volume groups (kind of virtual disks) from one
or more physical volumes and creating one or more logical volumes
(kind of logical partitions) in volume groups.



%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n LVM2.%{version}


%build
#export LDFLAGS="-L/usr/lib"
%define _exec_prefix /
%define _bindir /bin
%define _sbindir /sbin
%define _libdir /%{_lib}

./configure --enable-readline \
            --enable-lvm1_fallback \
            --with-cluster=internal \
            --with-pool=internal \
            --with-staticdir=/sbin \
            --with-user= \
            --with-group= --with-dmdir=device-mapper.%{device_mapper_version} --enable-pkgconfig --enable-fsadm --with-usrlibdir=/usr/%{_lib} --with-usrsbindir=/usr/sbin

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m 0700 -d $RPM_BUILD_ROOT/etc/lvm/archive
install -m 0700 -d $RPM_BUILD_ROOT/etc/lvm/backup
install -m 0700 -d $RPM_BUILD_ROOT/etc/lvm/cache
install -m 0700 -d $RPM_BUILD_ROOT/var/lock/lvm
install -m 0600 /dev/null $RPM_BUILD_ROOT/etc/lvm/cache/.cache
mkdir -p -m755 $RPM_BUILD_ROOT/etc/rc.d/init.d
#install scripts/clvmd_init_red_hat $RPM_BUILD_ROOT/etc/rc.d/init.d/clvmd
#install -m 0755 scripts/lvmconf.sh $RPM_BUILD_ROOT/sbin/lvmconf

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB INSTALL README VERSION WHATS_NEW
%{_sbindir}/fsadm
%{_sbindir}/lvchange
%{_sbindir}/lvconvert
%{_sbindir}/lvcreate
%{_sbindir}/lvdisplay
%{_sbindir}/lvextend
%{_sbindir}/lvm
%{_sbindir}/lvmchange
%{_sbindir}/lvmdiskscan
%{_sbindir}/lvmdump
%{_sbindir}/lvmsadc
%{_sbindir}/lvmsar
%{_sbindir}/lvreduce
%{_sbindir}/lvremove
%{_sbindir}/lvrename
%{_sbindir}/lvresize
%{_sbindir}/lvs
%{_sbindir}/lvscan
%{_sbindir}/pvchange
%{_sbindir}/pvck
%{_sbindir}/pvcreate
%{_sbindir}/pvdisplay
%{_sbindir}/pvmove
%{_sbindir}/pvremove
%{_sbindir}/pvresize
%{_sbindir}/pvs
%{_sbindir}/pvscan
%{_sbindir}/vgcfgbackup
%{_sbindir}/vgcfgrestore
%{_sbindir}/vgchange
%{_sbindir}/vgck
%{_sbindir}/vgconvert
%{_sbindir}/vgcreate
%{_sbindir}/vgdisplay
%{_sbindir}/vgexport
%{_sbindir}/vgextend
%{_sbindir}/vgimport
%{_sbindir}/vgimportclone
%{_sbindir}/vgmerge
%{_sbindir}/vgmknodes
%{_sbindir}/vgreduce
%{_sbindir}/vgremove
%{_sbindir}/vgrename
%{_sbindir}/vgs
%{_sbindir}/vgscan
%{_sbindir}/vgsplit
%{_mandir}/man5/lvm.conf.5.gz
%{_mandir}/man8/fsadm.8.gz
%{_mandir}/man8/lvchange.8.gz
%{_mandir}/man8/lvconvert.8.gz
%{_mandir}/man8/lvcreate.8.gz
%{_mandir}/man8/lvdisplay.8.gz
%{_mandir}/man8/lvextend.8.gz
%{_mandir}/man8/lvm.8.gz
%{_mandir}/man8/lvmchange.8.gz
%{_mandir}/man8/lvmdiskscan.8.gz
%{_mandir}/man8/lvmdump.8.gz
%{_mandir}/man8/lvreduce.8.gz
%{_mandir}/man8/lvremove.8.gz
%{_mandir}/man8/lvrename.8.gz
%{_mandir}/man8/lvresize.8.gz
%{_mandir}/man8/lvs.8.gz
%{_mandir}/man8/lvscan.8.gz
%{_mandir}/man8/pvchange.8.gz
%{_mandir}/man8/pvck.8.gz
%{_mandir}/man8/pvcreate.8.gz
%{_mandir}/man8/pvdisplay.8.gz
%{_mandir}/man8/pvmove.8.gz
%{_mandir}/man8/pvremove.8.gz
%{_mandir}/man8/pvresize.8.gz
%{_mandir}/man8/pvs.8.gz
%{_mandir}/man8/pvscan.8.gz
%{_mandir}/man8/vgcfgbackup.8.gz
%{_mandir}/man8/vgcfgrestore.8.gz
%{_mandir}/man8/vgchange.8.gz
%{_mandir}/man8/vgck.8.gz
%{_mandir}/man8/vgconvert.8.gz
%{_mandir}/man8/vgcreate.8.gz
%{_mandir}/man8/vgdisplay.8.gz
%{_mandir}/man8/vgexport.8.gz
%{_mandir}/man8/vgextend.8.gz
%{_mandir}/man8/vgimport.8.gz
%{_mandir}/man8/vgimportclone.8.gz
%{_mandir}/man8/vgmerge.8.gz
%{_mandir}/man8/vgmknodes.8.gz
%{_mandir}/man8/vgreduce.8.gz
%{_mandir}/man8/vgremove.8.gz
%{_mandir}/man8/vgrename.8.gz
%{_mandir}/man8/vgs.8.gz
%{_mandir}/man8/vgscan.8.gz
%{_mandir}/man8/vgsplit.8.gz
%dir /etc/lvm
%ghost /etc/lvm/cache/.cache
%config(noreplace) /etc/lvm/lvm.conf
%dir /etc/lvm/backup
%dir /etc/lvm/cache
%dir /etc/lvm/archive
%dir /var/lock/lvm
#cluster
#%{_sbindir}/lvmconf
#%{_mandir}/man8/clvmd.8.gz
#/etc/rc.d/init.d/clvmd


%package -n device-mapper
Summary: 	Device mapper utility
Version: 	%{device_mapper_version}
Release: 	%{release}
License: 	GPLv2
Group: 		System/Configuration/Hardware
URL: 		http://sources.redhat.com/dm
Requires: 	device-mapper-libs = %{device_mapper_version}-%{release}

%description -n device-mapper
This package contains the supporting userspace utility, dmsetup,
for the kernel device-mapper.

%package -n device-mapper-devel
Summary: 	Development libraries and headers for device-mapper
Version: 	%{device_mapper_version}
Release: 	%{release}
License: 	LGPLv2
Group: 		Development/Libraries
Requires: 	device-mapper = %{device_mapper_version}-%{release}
Requires: 	device-mapper-libs = %{device_mapper_version}-%{release}
Requires: 	pkgconfig

%description -n device-mapper-devel
This package contains files needed to develop applications that use
the device-mapper libraries.

%package -n device-mapper-libs
Summary: 	Device-mapper shared library
Version: 	%{device_mapper_version}
Release: 	%{release}
License: 	LGPLv2
Group: 		System/Libraries

%description -n device-mapper-libs
This package contains the device-mapper shared library, libdevmapper.


%files -n device-mapper
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB WHATS_NEW_DM VERSION_DM README INSTALL
%attr(755,root,root) /sbin/dmsetup
%{_mandir}/man8/dmsetup.8.gz



%files -n device-mapper-devel
%defattr(-,root,root,-)
%attr(755,root,root) /%{_lib}/libdevmapper.so
%{_includedir}/libdevmapper.h
/usr%{_libdir}/pkgconfig/*.pc


%post -n device-mapper-libs -p /sbin/ldconfig

%postun -n device-mapper-libs -p /sbin/ldconfig

%files -n device-mapper-libs
%attr(755,root,root) /%{_lib}/libdevmapper.so.*


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.02.61-1
- Version update
* Wed Jan 27 2010 Christian Metzen <metzench@ccux-linux.de> 2.02.60-1
- Version update
* Sat Nov 28 2009 Christian Metzen <metzench@ccux-linux.de> 2.02.56-1
- Version update
* Fri Oct 30 2009 Christian Metzen <metzench@ccux-linux.de> 2.02.54-1
- Version update
* Fri Jun 19 2009 Christian Metzen <metzench@ccux-linux.de> 2.02.47-1
- Version update
* Fri Oct 31 2008 Christian Metzen <metzench@ccux-linux.de> 2.02.42-1
- Version update
* Mon Mar 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.02.33-1
- Version update
* Fri Oct 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.02.28-1
- Initial Release
